Subject: RE: Communication in response to the OIF

From: "Alanqar, Wesam I [NTK]" <[email-masked]>
Date: Tue, 9 Mar 2004 13:26:51 -0600

Jerry,

I totally agree with Steve. The IETF core design team for routing is one
example of good collaboration. The aim of the team was to provide CCAMP
with a core team draft illustrating the ASON routing requirements based
on ITU-T G.7715 and G.7715.1. I believe that we can handle the signaling
issues via a similar method. 

Thanks,
-Wesam

Wesam Alanqar                         
Sprint- Technology Research and Development

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Stephen J Trowbridge
Sent: Tuesday, March 09, 2004 1:18 PM
To: Ash, Gerald R (Jerry), ALABS
Cc: Kireeti Kompella; [email-masked]; Alex Zinin; Bill Fenner
Subject: Re: Communication in response to the OIF

Jerry,
I see you missed the Q.14/15 Rapporteur's meeting in Chicago.

Once upon a time, what you say was true. ITU-T and IETF got off to a
very rocky start. ITU-T (which was accustomed to collaborating with
other standards
organizations) would routinely send information about what they were
doing to IETF (which has historically gone it alone). Most in IETF would
either not even read what ITU-T sent over, or would just get steamed
about the fact that ITU-T was doing something different without writing
down their concerns and sending it back to ITU-T in a form that could be
considered in their deliberations.

But of late, through a combination of cross participation (Kireeti and
Adrian have each attended Q.14 meetings) and regular and frequent
communications, this has been steadily improving. Many of the issues and
differences have been resolved, and of the issues and differences that
still remain, I think there is a growing understanding within each
organization of why the other organization has taken the direction they
have.

So let's not live in the past. Yes, things were very bad at the start.
Now we are talking, and things are getting steadily better. I think it
is accurate to characterize the way we are working today as cooperation.
Regards, Steve

On 3/9/2004 11:22 AM, Ash, Gerald R (Jerry), ALABS wrote:
> Kireeti,
> 
> I would not characterize the interactions between ITU-T and IETF as a 
> "cooperative effort" at this point.  IMO "adversarial effort" would be

> more accurate, but "joint effort" might be more PC.
> 
> I don't see that much cooperation between ITU-T and IETF quite yet on 
> GMPLS/ASON.  The GMPLS/ASON signaling effort is still suffering from 
> deep differences in views on G.7713.2 versus 
> http://ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-rsvp-te-ason-01
> .txt.  I believe that the signaling piece of the OIF interoperability 
> demo is based on G.7713.2.  The GMPLS/ASON routing effort also appears

> to have some significant differences in views at this point, stemming 
> in part from differences arising out of G.7715.1 IMO.
> 
> Hopefully this will all work out, but the tone at IETF-59 didn't give 
> me a lot of hope that this "cooperative effort" is going happen any 
> time soon.
> 
> Thanks,
> Jerry
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Kireeti Kompella
> Sent: Tuesday, March 09, 2004 9:13 AM
> To: [email-masked]
> Cc: Alex Zinin; Bill Fenner
> Subject: Communication in response to the OIF
> 
> 
> Hi All,
> 
> Here's a first draft of a reply to the OIF.  Please comment to the 
> list by Monday, March 15 2004.
> 
> If someone has email addresses for Steve Joiner, Jim Jones and John 
> McDonough (and titles for the last two), that would be very helpful.
> 
> Thanks,
> Kireeti.
> --------
> 
> <Date>
> 
>  From: Kireeti Kompella & Adrian Farrel, IETF CCAMP Working Group 
> Chairs
> 
> To: Mr. Steve Joiner, OIF Technical Committee Chair
> Cc: Jim Jones,
> Cc: John McDonough,
> Cc: Alex Zinin,       IETF Routing Area Director
> Cc: Bill Fenner,      IETF Routing Area Director
> 
> Dear Steve,
> 
> Thank you for your communication regarding the current status of OIF 
> signaling and routing work, and the associated documentation.  This 
> communication is in response.  As there is no formal liaison 
> relationship yet between the IETF and the OIF, this communication is 
> not treated as a liaison; hopefully, this situation will be rectified 
> soon.
> 
> Thank you too for allowing Mr. Lyndon Ong to present a synopsis of the

> work going on at the OIF with regard to Intra-carrier E-NNI routing.  
> It was both useful and enlightening.
> 
> However, both of these gave us cause for alarm, on two fronts:
> a) The development of new or modified code points and procedures
>    in OSPF without expert review from the OSPF WG in the IETF
>    contravenes IETF procedure, especially as the IETF pays special
>    attention to changes in protocols in the Routing Area, such as
>    OSPF.
> b) The development of routing for optical networks without expert
>    review from the CCAMP WG is also a source of concern, especially
>    in the light of a cooperative effort between the ITU-T and the
>    IETF in exactly this area.
> 
> Mr. Ong's emphasis that this work was experimental and purely for the 
> purpose of testing alleviated some of our concerns.  It would be very 
> helpful to hear this officially from the OIF; furthermore, in the 
> interests of openness and full disclosure, we would strongly urge the 
> modification of a paragraph in the Introduction of the draft routing 
> document OIF2003.259 as follows:
> 
>    "The base protocol as defined by this document is OSPF with
>     extensions for Traffic Engineering and GMPLS.  This document
>     proposes to use GMPLS-OSPF to operate at each hierarchical
>     level, with multiple such levels stacking up to form the
>     routing hierarchy.  Extensions have been defined in the forms
>     of (sub-) TLVs to accommodate the requirements as defined in the
>     G.8080, G.7715, and G.7715.1.  Note that these extensions as
>     currently specified are purely for the purpose of experimentation
>     and testing; in particular, they have not yet been reviewed by
>     the OSPF and CCAMP Working Groups in the IETF.  Furthermore they
>     use experimental codepoints, and as such must not be used in
>     production deployments."
> 
> Mr. Ong also brought to our attention that the OIF will be holding an 
> interoperability demonstration of this specification at the SuperComm 
> in June 2004.  Due to the preliminary nature of this specification, 
> the IETF would strongly recommend that the words OSPF, OSPF-TE and 
> GMPLS not be used in the context of this demonstration, nor that there

> be any implication that this work has been reviewed or sanctioned by 
> the IETF.
> 
> It would be helpful in determining the future relationship between the

> IETF and the OIF to understand how the OIF intends to progress this 
> document.
> 
>  o Is this intended to become an Implementation Agreement in
>    something close to its current form?
> 
>  o Does the OIF intend to submit this as a submission in the ITU-T
>    SG15 to become a Recommendation?
> 
>  o Does the OIF intend to submit this document as an Internet Draft
>    to become an IETF RFC?
> 
> Thank you for your attention in this matter, and for initiating this 
> dialogue.  We hope that this develops into a fruitful relationship. To

> that end, we enclose a product of the joint work between the ITU-T and

> the IETF on Routing Requirements for ASON.  This is a work in 
> progress, and we solicit your comments:
>  - to identify any requirements that the OIF has over and above those
>     requirements established by the ITU-T ASON model
>  - to ensure that the solution developed within the IETF addresses
>     the requirements of both the ITU-T and OIF.
> 
> We hope that your feedback will signal the beginning of an active 
> cooperation between the IETF and the OIF.
> 
> Sincerely,
> <etc.>
> 
> <attachment: current version of GMPLS ASON Routing Requirements doc>
> 
>

---

From: Kireeti Kompella <[email-masked]>
Date: Tue, 9 Mar 2004 13:33:22 -0800 (PST)

Hi Wesam, Steve:

On Tue, 9 Mar 2004, Alanqar, Wesam I [NTK] wrote:

> example of good collaboration.

I'm glad to hear that.  Let's push forward to a common solution as
well, and that will close a good chapter!

Kireeti.
-------